### Struct

# Foundry ActionMixin

#### Description

    struct FoundryActionMixin {
      GObjectClass* object_class;
      const FoundryAction* actions;
      guint n_actions;
    }

No description available.

###### Structure members

`object_class:` `GObjectClass`

  No description available.

`actions:` `FoundryAction`

  No description available.

`n_actions:` `guint`

  No description available.

#### Functions

###### foundry_action_mixin_get_action_muxer

No description available.

###### foundry_action_mixin_get_enabled

No description available.

###### foundry_action_mixin_set_enabled

No description available.

#### Instance methods

###### foundry_action_mixin_constructed

No description available.

###### foundry_action_mixin_init

No description available.

###### foundry_action_mixin_install_action

This should be called at class initialization time to specify actions to be added for all instances of this class.

###### foundry_action_mixin_install_property_action

Installs an action called `action_name` on `mmixin` and binds its state to the value of the `property_name` property.